Package oracle.kv.table

# Interface BinaryValue

All Superinterfaces:
  `Comparable<FieldValue>`, `FieldValue`

public interface BinaryValue extends FieldValue
BinaryValue extends `FieldValue` to represent a byte array value.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BinaryValue`
  `clone()`
  Create a deep copy of this object.
  `int`
  `compareTo(FieldValue otherValue)`
  Returns 0 if the two values are equal in terms of length and byte content, otherwise it returns -1.
  `byte[]`
  `get()`
  Returns the byte array value.
  `String`
  `toString()`
  Returns a String representation of the value using a Base64 encoding.

  ### Methods inherited from interface oracle.kv.table.FieldValue

  `asArray, asBinary, asBoolean, asDouble, asEnum, asFixedBinary, asFloat, asIndexKey, asInteger, asLong, asMap, asNumber, asPrimaryKey, asRecord, asRow, asString, asTimestamp, getDefinition, getType, isArray, isAtomic, isBinary, isBoolean, isComplex, isDouble, isEMPTY, isEnum, isFixedBinary, isFloat, isIndexKey, isInteger, isJsonNull, isLong, isMap, isNull, isNumber, isNumeric, isPrimaryKey, isRecord, isRow, isString, isTimestamp, toJsonString`

- ## Method Details

  - ### get

    byte[] get()
    Returns the byte array value.
    Returns:
      the byte array value

  - ### compareTo

    int compareTo(FieldValue otherValue)
    Returns 0 if the two values are equal in terms of length and byte content, otherwise it returns -1.
    Specified by:
      `compareTo` in interface `Comparable<FieldValue>`
    Returns:
      0 if the values are equal, -1 otherwise

  - ### clone

    BinaryValue clone()
    Create a deep copy of this object.
    Specified by:
      `clone` in interface `FieldValue`
    Returns:
      a deep copy of this object

  - ### toString

    String toString()
    Returns a String representation of the value using a Base64 encoding.
    Overrides:
      `toString` in class `Object`
    Returns:
      a String representation of the value